<template>
  <div class="form">
    <h1>Añadir nueva raza</h1>

    <form
      @submit.prevent="save"
      method="post"
      >

      <div>
        <label for="name">Nombre de raza</label>
        <input
        id="name"
        v-model="name"
        type="text"
        name="name"
        >
      </div>

      <div>
        <label for="age">Tamano</label>
        <input
        id="tamano"
        v-model="tamano"
        type="text"
        name="tamano"
        min="0">
      </div>

      <div>
        <label for="age">Color de pelo</label>
        <input
        id="color"
        v-model="color"
        type="text"
        name="color"
        min="0">
      </div>

      <div>
        <label for="age">Adjunta una imagen</label>
        <input
        @change="setFile"
        id="file"
        type="file"
        name="file"
        min="0">
      </div>

      <div>
        <input
        type="submit"
        value="Enviar"
        >
      </div>

    </form>
  </div>
</template>

<script setup>
import { ref } from 'vue'

let name = ref('')
let tamano = ref('')
let color = ref('')
let file = ref('')
let errors = ref([])

const save = async () => {

  try {

    if(name && tamano && color && file) {

        let formData = new FormData()
        
        formData.append('name', name.value)
        formData.append('tamano', tamano.value)
        formData.append('color', color.value)
        formData.append('file', file)

        let resp = await fetch("http://localhost/pruebaTecnicaAnaMariaCuevas/backend/public/index.php/api/perro", {
            method: "POST",
            body: formData
        })

        console.log('resp',resp)
    }

    errors.value = []

    if(!name.value) errors.value.push('El nombre de raza es obligatorio.')

    if(!tamano.value) errors.value.push('El tamaño es obligatorio.')

    if(!color.value)  errors.value.push('El color de perro es obligatorio.')

    if(!file.value) errors.value.push('La imagen es obligatorio.')

  } catch (e) {

    console.log(e)

  }

}

const setFile = (event) => {
  file = event.target.files[0]
}
</script>

<style lang="scss">

</style>

